#
# Conditional build:
%bcond_with	qt4	# use Qt 4 instead of Qt 5
%bcond_with	tests	# "make test" call (requires functional libusb, i.e. accessible USB subsystem)
#
Summary:	Qt based logic analyzer GUI for sigrok
Summary(pl.UTF-8):	Oparty na Qt graficzny interfejs analizatora logicznego dla szkieletu sigrok
Name:		pulseview
Version:	0.4.0
Release:	3
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	http://sigrok.org/download/source/pulseview/%{name}-%{version}.tar.gz
# Source0-md5:	122ded293913ec773cd34cb68b93e0f9
URL:		http://sigrok.org/wiki/PulseView
BuildRequires:	boost-devel >= 1.53
%{?with_tests:BuildRequires:	boost-test >= 1.53}
BuildRequires:	cmake >= 2.8.6
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libsigrok-c++-devel >= 0.5.0
BuildRequires:	libsigrok-devel >= 0.5.0
BuildRequires:	libsigrokdecode-devel >= 0.5.0
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig
%if %{with qt4}
BuildRequires:	QtCore-devel >= 4
BuildRequires:	QtGui-devel >= 4
BuildRequires:	QtSvg-devel >= 4
BuildRequires:	qt4-build >= 4
BuildRequires:	qt4-qmake >= 4
%else
BuildRequires:	Qt5Core-devel >= 5
BuildRequires:	Qt5Gui-devel >= 5
BuildRequires:	Qt5Svg-devel >= 5
BuildRequires:	Qt5Widgets-devel >= 5
BuildRequires:	qt5-build >= 5
BuildRequires:	qt5-qmake >= 5
Requires:	Qt5Gui-platform-xcb
%endif
Requires:	libsigrok >= 0.4.0
Requires:	libsigrok-c++-devel >= 0.4.0
Requires:	libsigrokdecode >= 0.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt based logic analyzer GUI for sigrok.

%description -l pl.UTF-8
Oparty na Qt graficzny interfejs analizatora logicznego dla szkieletu
sigrok.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DDISABLE_WERROR=ON \
	%{?with_tests:-DENABLE_TESTS=ON} \
	%{?with_qt4:-DFORCE_QT4=ON}

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/pulseview
%{_mandir}/man1/pulseview.1*
%{_desktopdir}/org.sigrok.PulseView.desktop
%{_iconsdir}/hicolor/*/apps/pulseview.png
%{_iconsdir}/hicolor/*/apps/pulseview.svg
%{_datadir}/metainfo/org.sigrok.PulseView.appdata.xml
%changelog
* Wed Oct 09 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pulseview.git;a=log;h=master

* Wed Oct 09 2019 Jan Rękorajski <baggins@pld-linux.org> bd52dcf
- rebuild with boost 1.71
- release 3 (by relup.sh)

* Mon Apr 15 2019 Jan Rękorajski <baggins@pld-linux.org> a25e215
- icu/boost rebuild
- release 2 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e54dc8a
- up to 0.4.0

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> e2750c9
- rebuild with boost 1.63.0
- release 4 (by relup.sh)

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 72996a3
- updated dependencies; package defaults to qt5 now

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> 24f3d6a
- boost 1.61 rebuild
- release 3 (by relup.sh)

* Fri Apr 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d635cf2
- rel 2; R Qt5Gui-platform-xcb

* Fri Apr 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 315e531
- up to 0.3.0

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 887f93c
- release 6 (by relup.sh)

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> d5e498a
- boost rebuild
- release 5 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 0e9057e
- rebuild with boost 1.57.0
- release 4 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> b82d45d
- rebuild with boost 1.56.0
- release 3 (by relup.sh)

* Sun Jul 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 94c3fca
- release 2

* Sun Jul 27 2014 Jakub Bogusz <qboosh@pld-linux.org> ae55747
- disable tests by default, libusb cannot be initialized on builders

* Fri Jul 25 2014 Jakub Bogusz <qboosh@pld-linux.org> fb1b86d
- updated to 0.2.0
- removed obsolete boost-link patch

* Mon Feb 03 2014 Jan Rękorajski <baggins@pld-linux.org> 424fac4
- fix linking with boost
- rel 3

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 7f31dc7
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Thu Jul 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 255d852
- up to final 0.1.0

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d1aeed
- rel 0.3

* Sun Mar 10 2013 Elan Ruusamäe <glen@delfi.ee> b5d1feb
- autodeps

